import {Gamesystem} from "./gamesystems/Gamesystem";

export class GameModel {
  private readonly _gameModelName: string

  private _gamesystems: Gamesystem[] = [];

  constructor(gameModelName: string) {
    this._gameModelName = gameModelName;
  }
  get gameModelName(): string {
    return this._gameModelName;
  }


  get gamesystems(): Gamesystem[] {
    return this._gamesystems;
  }

  addGamesystem(gamesystem: Gamesystem) {
    if(!this.gamesystems.includes(gamesystem)) {
      this._gamesystems.push(gamesystem);
    }
  }

  removeGamesystem(gamesystem : Gamesystem) {
    this._gamesystems = this._gamesystems.filter(g => g !== gamesystem);
  }
}
